# Generated from paperwork-0.3.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name paperwork

Name: rubygem-%{gem_name}
Version: 0.3.5
Release: 1%{?dist}
Summary: Convert markdown documents to html pages
License: MIT
URL: https://gitlab.com/couchbelag/paperwork
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(byebug) >= 11.1.3
# BuildRequires: rubygem(byebug) < 11.2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(rspec_junit_formatter) >= 0.4.1
# BuildRequires: rubygem(rspec_junit_formatter) < 0.5
# BuildRequires: rubygem(rubocop) >= 0.87.1
# BuildRequires: rubygem(rubocop) < 0.88
# BuildRequires: rubygem(simplecov) >= 0.18.5
# BuildRequires: rubygem(simplecov) < 0.19
BuildArch: noarch

%description
Convert markdown documents to html pages.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/paperwork
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.gitlab-ci.yml
%exclude %{gem_instdir}/.rubocop.yml
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/custom.css
%{gem_instdir}/custom.js
%{gem_libdir}
%{gem_instdir}/nested_example
%{gem_instdir}/paperwork.yml
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/paperwork.gemspec

%changelog
* Tue Sep 14 2021 mockbuilder - 0.3.5-1
- Initial package
